#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libopenssl-3-dev preinstallation
#
# Creation   :  2023-03-28 holbru
# Last update:  $Id: preinstall.sh 106749 2023-10-10 08:52:22Z hbfl $
#
# Copyright (c) 2023-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libopenssl-3-dev

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
# conflict with dev package
pkg=libssl-1_1-dev
installed=$(/usr/bin/eisman check ${pkg})

if [ "${installed}" != "not-installed" ]
then
    /usr/bin/eisman uninstall --auto --force ${pkg}
fi

pkg=libssl-1_0_0-dev
installed=$(/usr/bin/eisman check ${pkg})

if [ "${installed}" != "not-installed" ]
then
    /usr/bin/eisman uninstall --auto --force ${pkg}
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
